So Im new here so dont jump me too much.

I would like to try out the 600mhz patch and I just downloaded 1.4.

Should I be waiting for a veteran here to test it out? Will it not work with 1.4?

If everything's okay, what patch should I install?

I also want to thank everyone here for the great information! This is by far the most useful forum I have used!

THANKS!